CREATE TABLE bm_cm_bs_report_chart (
    ID                      NUMBER(18, 0) ,
    REPORT_ID               NUMBER(18, 0)     NOT NULL,
    CHART_TYPE              NUMBER(2, 0)      NOT NULL,
    NAME                    VARCHAR2(1020),
    LOCATION                NUMBER(2, 0)      NOT NULL,
    X_AXIS_DATA_COL_ID      NUMBER(18, 0)     NOT NULL,
    Y_AXIS_AGGR_TYPE        NUMBER(2, 0)      NOT NULL,
    Y_AXIS_ID               VARCHAR2(1020)    NOT NULL,
    GROUPING_DATA_COL_ID    NUMBER(18, 0) ,
    DATE_ADDED              DATE              NOT NULL,
    DATE_MODIFIED           DATE              NOT NULL,
    ID                      NUMBER(18, 0) ,
    REPORT_ID               NUMBER(18, 0)     NOT NULL,
    CHART_TYPE              NUMBER(2, 0)      NOT NULL,
    NAME                    VARCHAR2(1020),
    LOCATION                NUMBER(2, 0)      NOT NULL,
    X_AXIS_DATA_COL_ID      NUMBER(18, 0)     NOT NULL,
    Y_AXIS_AGGR_TYPE        NUMBER(2, 0)      NOT NULL,
    Y_AXIS_ID               VARCHAR2(1020)    NOT NULL,
    GROUPING_DATA_COL_ID    NUMBER(18, 0) ,
    DATE_ADDED              DATE              NOT NULL,
    DATE_MODIFIED           DATE              NOT NULL,
    CONSTRAINT pk_bm_cm_bs_report_chart PRIMARY KEY (ID, ID)
);
